gstreamermm: Gst::ColorBalanceChannel Class Reference

gstreamermm 1.10.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gst::ColorBalanceChannel Class Reference
gstreamermm Interfaces

A class that represents a color balance channel. More...

`#include <gstreamermm/colorbalancechannel.h>`

Inheritance diagram for Gst::ColorBalanceChannel:
[legend]

## Public Member Functions
| ColorBalanceChannel (ColorBalanceChannel&& src) noexcept
ColorBalanceChannel& | operator= (ColorBalanceChannel&& src) noexcept
| ~ColorBalanceChannel () noexcept override
GstColorBalanceChannel* | gobj ()
| Provides access to the underlying C GObject. More...
const GstColorBalanceChannel* | gobj () const
| Provides access to the underlying C GObject. More...
GstColorBalanceChannel* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::ustring | get_label () const
| Get a string containing a descriptive name for this channel. More...
int | get_min_value () const
| Get the minimum valid value for this channel. More...
int | get_max_value () const
| Get the maximum valid value for this channel. More...
Glib::SignalProxy< void, int > | signal_value_changed ()
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
virtual void | on_value_changed (int value)
| This is a default handler for the signal signal_value_changed(). More...
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::ColorBalanceChannel > | wrap (GstColorBalanceChannel* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

A class that represents a color balance channel.

The Gst::ColorBalanceChannel object represents a parameter for modifying the color balance implemented by an element providing the Gst::ColorBalance interface. For example, Hue or Saturation.

Last reviewed on 2016-05-16 (1.8.0)

## Constructor & Destructor Documentation

## ◆ ColorBalanceChannel()

Gst::ColorBalanceChannel::ColorBalanceChannel | ( | ColorBalanceChannel&& | src | ) |
| noexcept

## ◆ ~ColorBalanceChannel()

Gst::ColorBalanceChannel::~ColorBalanceChannel | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ get_label()

Glib::ustring Gst::ColorBalanceChannel::get_label | ( |  | ) | const

Get a string containing a descriptive name for this channel.

## ◆ get_max_value()

int Gst::ColorBalanceChannel::get_max_value | ( |  | ) | const

Get the maximum valid value for this channel.

## ◆ get_min_value()

int Gst::ColorBalanceChannel::get_min_value | ( |  | ) | const

Get the minimum valid value for this channel.

## ◆ get_type()

static GType Gst::ColorBalanceChannel::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GstColorBalanceChannel* Gst::ColorBalanceChannel::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GstColorBalanceChannel* Gst::ColorBalanceChannel::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GstColorBalanceChannel* Gst::ColorBalanceChannel::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ on_value_changed()

virtual void Gst::ColorBalanceChannel::on_value_changed | ( | int | value | ) |
| protectedvirtual

This is a default handler for the signal signal_value_changed().

## ◆ operator=()

ColorBalanceChannel& Gst::ColorBalanceChannel::operator= | ( | ColorBalanceChannel&& | src | ) |
| noexcept

## ◆ signal_value_changed()

Glib::SignalProxy< void,int > Gst::ColorBalanceChannel::signal_value_changed | ( |  | ) |

Slot Prototype:
  `void on_my_value_changed(int value)`

Flags: Run Last

Fired when the value of the indicated channel has changed.

Parameters

  value | The new value.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gst::ColorBalanceChannel > wrap | ( | GstColorBalanceChannel * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.